#ifndef VIDEOSPLITTHREAD_H
#define VIDEOSPLITTHREAD_H

#include <QThread>
#include <QPointF>

class VideoSplitThread : public QThread {
    Q_OBJECT
public:
    VideoSplitThread(int elew, int eleh, int dpw, int sph, QList<int> &, QPointF pos, QByteArray file);
    int mEleW, mEleH, mDPW, mSPH;
    QList<int> mWidths;
    QPointF pos;
    QByteArray file;
protected:
    void run();

signals:
    void emErr(QString);
    void emProgress(int);
public slots:
    void stop() {
        stoped = true;
    }
private:
    int lastPro{0};
    std::atomic_bool stoped{false};
};

#endif // VIDEOSPLITTHREAD_H
